50228
3.21
-1 
 1 
 3 
 22 
 0 
 2454 
 640 
 480 
 15 
 15 
 0 
 4815 
 1500 
 8010 
 2175 
 0 
 0 
 0 
 0 
BEGIN_TEXT
Temperature monitoring is one of the most common applications of LabWindows/CVI.  Flexible GUI tools, statistical analysis functions, and a built-in library for controlling all National Instruments plug-in DAQ boards are some of the reasons that make LabWindows/CVI ideal for building temperature monitoring systems.  

Press the arrow to see this simulated temperature monitoring system in action.
!
BEGIN_TEXT

!
Temperature Monitoring System
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 5 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
-1 
 8 
 8 

~~
~~
 0 
 0 
 0 
 0 
 0 
 3 
 3 
-1 
 3 
 0 
 0 
TEMPSYS.AVI
 0 

 9 
 3915 
 2115 
 7395 
 3165 
 0 
 0 
 0 
 0 
BEGIN_TEXT
This temperature monitoring system example displays the acquisition, analysis, and display capabilities of LabWindows/CVI in one application.  This application simulates temperature measurement using a plug-in DAQ board.  As shown in the GUI, the application uses built-in analysis function for computing the mean, standard deviation, and histogram tracking of the temperature values acquired.  

As the Upper and Lower Limit knobs are moved, you can see the alarm level traces on the strip chart track the changing values.  As the program runs, it dynamically checks the acquired temperature against these alarm limits, lighting LEDs when alarm conditions are met. 

Press the arrow to continue.
!
BEGIN_TEXT

!
Temperature Monitoring System
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 5 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
-1 
 8 
 8 

~~
~~
 0 
 0 
 0 
 0 
 0 
 3 
 3 
-1 
 3 
 0 
 0 
TEMPSYS.AVI
 0 

 21 
 4875 
 2400 
 6855 
 2325 
 0 
 0 
 0 
 0 
BEGIN_TEXT
National Instruments has a wide selection of plug-in DAQ boards that can perform temperature measurements.  The LabWindows/CVI Data Acquisition Library controls all of these DAQ boards with a single API.  In addition, the Data Acquisition Library includes a Transducer Conversion instrument driver for performing thermocouple linearization and cold-junction compensation calculations for temperature monitoring systems like this one.

Press the arrow to end this simulation.
!
BEGIN_TEXT

!
Temperature Monitoring System
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 5 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
 0 
 8 
 8 

~~
~~
 0 
 0 
 0 
 0 
 0 
 3 
 3 
 0 
 3 
 0 
-1 
TEMPSYS.AVI
 1 

 1 
 83 
 316 
 83 
 315 
 83 
 312 
 82 
 311 
 81 
 309 
 80 
 307 
 80 
 306 
 79 
 306 
 82 
 307 
 61 
 395 
 62 
 395 
 62 
 392 
 63 
 389 
 63 
 388 
 64 
 388 
 65 
 387 
 66 
 387 
 67 
 387 
 68 
 386 
 69 
 385 
 69 
 386 
 68 
 387 
TEMPSYS.AVI
 21 
 0 
 0 
 641 
 481 
 0 
 1 
 1 
 62 
 298 
 102 
 332 
 0 
 1 
 1 
 62 
 297 
 102 
 331 
 0 
 1 
 9 
 62 
 294 
 102 
 328 
 0 
 1 
 9 
 61 
 293 
 101 
 327 
 0 
 1 
 9 
 60 
 291 
 100 
 325 
 0 
 1 
 9 
 59 
 289 
 99 
 323 
 0 
 1 
 9 
 59 
 288 
 99 
 322 
 0 
 1 
 9 
 58 
 288 
 98 
 322 
 0 
 1 
 2 
 61 
 289 
 101 
 323 
 0 
 1 
 1 
 40 
 377 
 80 
 411 
 0 
 1 
 9 
 41 
 377 
 81 
 411 
 0 
 1 
 9 
 41 
 374 
 81 
 408 
 0 
 1 
 9 
 42 
 371 
 82 
 405 
 0 
 1 
 9 
 42 
 370 
 82 
 404 
 0 
 1 
 9 
 43 
 370 
 83 
 404 
 0 
 1 
 9 
 44 
 369 
 84 
 403 
 0 
 1 
 9 
 45 
 369 
 85 
 403 
 0 
 1 
 9 
 46 
 369 
 86 
 403 
 0 
 1 
 9 
 47 
 368 
 87 
 402 
 0 
 1 
 9 
 48 
 367 
 88 
 401 
 0 
 1 
 9 
 48 
 368 
 88 
 402 
 0 
 1 
 9 
 47 
 369 
 87 
 403 
 0 
